| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_lns_init_s Struct Reference
Location and Navigation Service

Location and Navigation Service init structure. This structure contains all options and data needed to initialize the service. More...

`#include <ble_lns.h>`

## Data Fields
ble_lns_evt_handler_t | evt_handler
ble_lncp_evt_handler_t | lncp_evt_handler
ble_srv_error_handler_t | error_handler
bool | is_position_quality_present
bool | is_control_point_present
bool | is_navigation_present
security_req_t | loc_nav_feature_security_req_read_perm
security_req_t | loc_speed_security_req_cccd_write_perm
security_req_t | position_quality_security_req_read_perm
security_req_t | navigation_security_req_cccd_write_perm
security_req_t | ctrl_point_security_req_write_perm
security_req_t | ctrl_point_security_req_cccd_write_perm
uint32_t | available_features
ble_lns_loc_speed_t * | p_location_speed
ble_lns_pos_quality_t * | p_position_quality
ble_lns_navigation_t * | p_navigation

## Detailed Description

Location and Navigation Service init structure. This structure contains all options and data needed to initialize the service.

## Field Documentation

uint32_t ble_lns_init_s::available_features

Value of the LN feature.

security_req_t ble_lns_init_s::ctrl_point_security_req_cccd_write_perm

CCCD write security level of the LN Control Point characteristic.

security_req_t ble_lns_init_s::ctrl_point_security_req_write_perm

Read security level of the LN Control Point characteristic.

ble_srv_error_handler_t ble_lns_init_s::error_handler

Errors will be sent back to this function.

ble_lns_evt_handler_t ble_lns_init_s::evt_handler

Event handler to be called for handling events in the Location and Navigation Service.

bool ble_lns_init_s::is_control_point_present

If set to true, the control point characteristic will be added. Else not.

bool ble_lns_init_s::is_navigation_present

If set to true, the navigation characteristic will be added. Else not.

bool ble_lns_init_s::is_position_quality_present

If set to true, the position quality characteristic will be added. Else not.

security_req_t ble_lns_init_s::loc_nav_feature_security_req_read_perm

Read security level of the LN Feature characteristic.

security_req_t ble_lns_init_s::loc_speed_security_req_cccd_write_perm

CCCD write security level of the Write Location and Speed characteristic.

security_req_t ble_lns_init_s::navigation_security_req_cccd_write_perm

CCCD write security level of the Navigation characteristic.

ble_lns_loc_speed_t* ble_lns_init_s::p_location_speed

Initial Location and Speed.

ble_lns_navigation_t* ble_lns_init_s::p_navigation

Initial Navigation data structure.

ble_lns_pos_quality_t* ble_lns_init_s::p_position_quality

Initial Position Quality.

security_req_t ble_lns_init_s::position_quality_security_req_read_perm

Read security level of the Position Quality characteristic.